package mqs

import (
	"context"
	"fmt"
	"github.com/zeromicro/go-zero/core/logc"
	"microGame/app/mq/cmd/rabbitmq/internal/svc"
)

type PokerBet struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
}

func NewPokerBet(ctx context.Context, svcCtx *svc.ServiceContext) *PokerBet {
	return &PokerBet{
		ctx:    ctx,
		svcCtx: svcCtx,
	}
}

func (l *PokerBet) Consume(message string) error {
	//str := fmt.Sprintf("rabbitmq listener%s\n", message)
	//logc.Info(l.ctx, str)
	logc.Infof(l.ctx, "rabbitmq listener：%+v\n", message)
	fmt.Printf("rabbitmq listener：%+v\n", message)
	return nil
}
